AI Product Matcher avatar
AI Product Matcher
Try for free

No credit card required

View all Actors
AI Product Matcher

AI Product Matcher

equidem/ai-product-matcher
Try for free

No credit card required

Match products across multiple e-commerce websites. Use this AI product matching Actor whenever you need to find matching pairs of products from different online shops for dynamic pricing, competitor analysis or market research.

User avatar

AI Product Matcher is not working

Closed

ianrussel opened this issue
2 months ago

2024-03-12T12:52:59.811Z ACTOR: Pulling Docker image of build ea8tC8XOGb9aMSjkV from repository. 2024-03-12T12:53:31.492Z ACTOR: Creating Docker container. 2024-03-12T12:53:31.528Z ACTOR: Starting Docker container. 2024-03-12T12:53:32.795Z /usr/src/app/actors/executor/product_mapping_engine/scripts/actor_model_interface.py:592: SyntaxWarning: "is not" with a literal. Did you mean "!="? 2024-03-12T12:53:32.801Z if PERFORMED_PARAMETERS_SEARCH is not 'none': 2024-03-12T12:53:33.471Z /usr/src/app/actors/executor/product_mapping_engine/scripts/dataset_handler/preprocessing/texts/keywords_detection.py:83: UserWarning: DataFrame columns are not unique, some columns will be omitted. 2024-03-12T12:53:33.474Z currencies_dict = currencies_df.set_index('name').T.to_dict('list') 2024-03-12T12:53:33.531Z /usr/src/app/actors/executor/product_mapping_engine/scripts/dataset_handler/preprocessing/texts/keywords_detection.py:153: UserWarning: DataFrame columns are not unique, some columns will be omitted. 2024-03-12T12:53:33.532Z imperial_to_metric_units_file = imperial_to_metric_units_file.set_index('shortcut').T.to_dict('list') 2024-03-12T12:53:34.571Z 2024-03-12T12:53:34.572Z Working on two datasets: 2024-03-12T12:53:34.572Z Dataset 1 of shape: 98x6 2024-03-12T12:53:34.573Z Dataset 2 of shape: 12x6 2024-03-12T12:53:34.573Z 2024-03-12T12:53:34.627Z 2024-03-12T12:53:34.629Z 2024-03-12T12:53:34.629Z ------------------------------------------------------------------------------------------ 2024-03-12T12:53:34.630Z Searching matches for products 0:49 from dataset1 and 0:49 from dataset2 2024-03-12T12:53:34.630Z ------------------------------------------------------------------------------------------ 2024-03-12T12:53:34.631Z 2024-03-12T12:53:34.631Z 2024-03-12T12:53:34.737Z /opt/venv/lib/python3.9/site-packages/sklearn/base.py:329: UserWarning: Trying to unpickle estimator LabelBinarizer from version 1.1.2 when using version 1.1.3. This might lead to breaking code or invalid results. Use at your own risk. For more info please refer to: 2024-03-12T12:53:34.738Z https://scikit-learn.org/stable/model_persistence.html#security-maintainability-limitations 2024-03-12T12:53:34.738Z warnings.warn( 2024-03-12T12:53:34.739Z /opt/venv/lib/python3.9/site-packages/sklearn/base.py:329: UserWarning: Trying to unpickle estimator MLPClassifier from version 1.1.2 when using version 1.1.3. This might lead to breaking code or invalid results. Use at your own risk. For more info please refer to: 2024-03-12T12:53:34.740Z https://scikit-learn.org/stable/model_persistence.html#security-maintainability-limitations 2024-03-12T12:53:34.740Z warnings.warn( 2024-03-12T12:53:34.840Z Text preprocessing started 2024-03-12T12:53:34.843Z /opt/venv/lib/python3.9/site-packages/numpy/core/fromnumeric.py:59: FutureWarning: 'DataFrame.swapaxes' is deprecated and will be removed in a future version. Please use 'DataFrame.transpose' instead. 2024-03-12T12:53:34.843Z return bound(*args, **kwds) 2024-03-12T12:53:34.874Z Actor failed with an exception 2024-03-12T12:53:34.875Z multiprocessing.pool.RemoteTraceback: 2024-03-12T12:53:34.876Z """ 2024-03-12T12:53:34.876Z Traceback (most recent call last): 2024-03-12T12:53:34.876Z File "/usr/local/lib/python3.9/multiprocessing/pool.py", line 125, in worker 2024-03-12T12:53:34.877Z result = (True, func(*args, **kwds)) 2024-03-12T12:53:34.877Z File "/usr/local/lib/python3.9/multiprocessing/pool.py", line 48, in mapstar 2024-03-12T12:53:34.878Z return list(map(*args)) 2024-03-12T12:53:34.878Z File "/usr/src/app/actors/executor/product_mapping_engine/scripts/dataset_handler/preprocessing/texts/text_preprocessing.py", line 245, in multi_run_text_preprocessing_wrapper 2024-03-12T12:53:34.879Z return preprocess_textual_data(*args) 2024-03-12T12:53:34.879Z File "/usr/src/app/actors/executor/product_mapping_engine/scripts/dataset_handler/preprocessing/texts/text_preprocessing.py", line 199, in preprocess_textual_data 2024-03-12T12:53:34.879Z dataset = parse_specifications_and_create_copies(dataset, 'specification') 2024-03-12T12:53:34.880Z File "/usr/src/app/actors/executor/product_mapping_engine/scripts/dataset_handler/preprocessing/texts/text_preprocessing.py", line 358, in parse_specifications_and_create_copies 2024-03-12T12:53:34.880Z dataset[specification_name] = parse_specifications(dataset[specification_name]) 2024-03-12T12:53:34.880Z File "/usr/src/app/actors/executor/product_mapping_engine/scripts/dataset_handler/preprocessing/texts/text_preprocessing.py", line 333, in parse_specifications 2024-03-12T12:53:34.881Z product_specification = json.loads(product_specification) 2024-03-12T12:53:34.881Z File "/usr/local/lib/python3.9/json/init.py", line 346, in loads 2024-03-12T12:53:34.881Z return _default_decoder.decode(s) 2024-03-12T12:53:34.882Z File "/usr/local/lib/python3.9/json/decoder.py", line 337, in decode 2024-03-12T12:53:34.882Z obj, end = self.raw_decode(s, idx=_w(s, 0).end()) 2024-03-12T12:53:34.882Z File "/usr/local/lib/python3.9/json/decoder.py", line 355, in raw_decode 2024-03-12T12:53:34.883Z raise JSONDecodeError("Expecting value", s, err.value) from None 2024-03-12T12:53:34.883Z json.decoder.JSONDecodeError: Expecting value: line 1 column 2 (char 1) 2024-03-12T12:53:34.883Z """ 2024-03-12T12:53:34.884Z 2024-03-12T12:53:34.885Z The above exception was the direct cause of the following exception: 2024-03-12T12:53:34.885Z 2024-03-12T12:53:34.886Z Traceback (most recent call last): 2024-03-12T12:53:34.886Z File "/usr/src/app/main.py", line 73, in main 2024-03-12T12:53:34.886Z perform_mapping( 2024-03-12T12:53:34.887Z File "/usr/src/app/actors/executor/main.py", line 353, in perform_mapping 2024-03-12T12:53:34.887Z load_model_create_dataset_and_predict_matches( 2024-03-12T12:53:34.887Z File "/usr/src/app/actors/executor/product_mapping_engine/scripts/actor_model_interface.py", line 438, in load_model_create_dataset_and_predict_matches 2024-03-12T12:53:34.888Z preprocessed_pairs, precomputed_pairs_matching_scores, filtered_out_pairs = prepare_data_for_classifier( 2024-03-12T12:53:34.888Z File "/usr/src/app/actors/executor/product_mapping_engine/scripts/actor_model_interface.py", line 231, in prepare_data_for_classifier 2024-03-12T12:53:34.889Z dataset1 = parallel_text_preprocessing(pool, num_cpu, dataset1, 2024-03-12T12:53:34.889Z File "/usr/src/app/actors/executor/product_mapping_engine/scripts/dataset_handler/preprocessing/texts/text_preprocessing.py", line 263, in parallel_text_preprocessing 2024-03-12T12:53:34.890Z dataset_list_preprocessed = pool.map(multi_run_text_preprocessing_wrapper, 2024-03-12T12:53:34.890Z File "/usr/local/lib/python3.9/multiprocessing/pool.py", line 364, in map 2024-03-12T12:53:34.891Z return self._map_async(func, iterable, mapstar, chunksize).get() 2024-03-12T12:53:34.891Z File "/usr/local/lib/python3.9/multiprocessing/pool.py", line 771, in get 2024-03-12T12:53:34.892Z raise self._value 2024-03-12T12:53:34.892Z json.decoder.JSONDecodeError: Expecting value: line 1 column 2 (char 1)

User avatar

Duplicate issue.

Developer
Maintained by Apify
Actor metrics
  • 39 monthly users
  • 52.4% runs succeeded
  • 18 days response time
  • Created in Apr 2023
  • Modified 5 months ago